[PATCH 9/8] svn-fe: Test script for handling of dumps with --deltas

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Signed-off-by: Jonathan Nieder <jrnieder@xxxxxxxxx>
---
 contrib/svn-fe/testme.sh |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)
 create mode 100755 contrib/svn-fe/testme.sh

diff --git a/contrib/svn-fe/testme.sh b/contrib/svn-fe/testme.sh
new file mode 100755
index 0000000..29e181f
--- /dev/null
+++ b/contrib/svn-fe/testme.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Usage:
+#	PATH=${git_src}/contrib/svn-fe:${git_src}/bin-wrappers:$PATH
+#	testme.sh http://cvs2svn.tigris.org/svn/cvs2svn 10 test.git
+set -e
+: ${1?"URL?"}
+: ${2?"How many revisions?"}
+: ${3?"Git directory?"}
+
+git init --bare "$3"
+rm -f "$3/backflow"
+mkfifo "$3/backflow"
+
+svnrdump dump -r1:"$2" "$1" |
+svn-fe 3<backflow |
+GIT_DIR=$3 git fast-import --cat-blob-fd=3 3>backflow
-- 
1.7.2.3

--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]